#! /bin/bash

# Edouard.Thiel@lif.univ-mrs.fr - 20/11/2013
# Installe le module i2c_dev nécessaire pour régler la luminosité
# des écrans DreamColor2 avec HPMDA

echo "Loading i2c_dev ..."

modprobe i2c_dev


# loop waiting for the devices to show up, then set permissions to
# allow a user to read/write the i2c. Need to be able to wait for
# awhile in the case of a filesystem getting cleaned

set_perm () {
    for ((i = 0; i < 30; i++))
    do
        if [ -e /dev/i2c-9 ]; then
            /bin/chmod 666 /dev/i2c-*
            break
        else
            sleep 1
        fi
    done
}

echo "Setting i2c perms ..."
set_perm

echo "Restoring brightness ..."
/usr/local/dreamcolor2/dc2-set-brightness.sh --res-cur --send-dbus

exit 0

